##### 7.5.21.0. isInS

Procedure from library `olga.lib` (see olga_lib).

Usage:
  isInS(p, locType, locData(, override)), poly p, int locType, list/vector/intvec locData(, int override)

Purpose:
  determine if a polynomial is in a denominator set

Assume:

Return:
  int

Note:
  - returns 0 or 1, depending whether p is in the denominator set specified by locType and locData
  - if override is set, will not normalize locData (use with care)

Example:

    LIB "olga.lib";
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl();
    setring S; S;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y Dx Dy
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    Dxx=x*Dx+1
    ==> //    Dyy=y*Dy+1
    // monoidal localization
    poly g1 = x^2*y+x+2;
    poly g2 = y^3+x*y;
    list L = g1,g2;
    poly g = g1^2*g2;
    poly f = g-1;
    isInS(g, 0, L); // g is in the denominator set
    ==> 1
    isInS(f, 0, L); // f is NOT in the denominator set
    ==> 0
    // geometric localization
    ideal p = x-1, y-3;
    g = x^2+y-3;
    f = (x-1)*g;
    isInS(g, 1, p); // g is in the denominator set
    ==> 1
    isInS(f, 1, p); // f is NOT in the denominator set
    ==> 0
    // rational localization
    intvec v = 2;
    g = y^5+17*y^2-4;
    f = x*y;
    isInS(g, 2, v); // g is in the denominator set
    ==> 1
    isInS(f, 2, v); // f is NOT in the denominator set
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.